Subject: installing 4.1

From: [email-masked] (Paul M. Aoki)
Date: Mon, 22 Mar 1993 15:22:08 -0800

when (if) you run the regression tests, try not to run it as "postgres".
as part of the check of access controls, the script makes sure that the 
"usesuper" capability of the user who runs the regression test is turned 
off...  this also deletes the ability to create new users.  hence, it is
best to create a new user and run the regression test as that user.

if things do get botched and you need to fix things up, you should be 
able to just fire up a "monitor template1" and run
	replace pg_user (usesuper="t"::bool)
		where pg_user.usename="postgres"\g
if you haven't already turned on access controls for pg_user or fiddled
with usecatupd, this will still work ok.

shoot any questions my way rather than to postgres@postgres.
--
  Paul M. Aoki  |  CS Div., Dept. of EECS, UCB  |  [email-masked]
                |  Berkeley, CA 94720           |  ...!uunet!ucbvax!aoki